%global momorel 3

Summary: Bochs Project x86 PC Emulator
Name: bochs
Version: 2.3
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/Emulators
URL:http://bochs.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/bochs/bochs-%{version}.tar.gz 100c02fbcd402c2b4862d0251be539fd
Source1: http://bochs.sourceforge.net/guestos/dlxlinux4.tar.gz
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: bochs-config-sample.diff
Patch2: bochs-2.2.6-gtkflags.patch

# security fix
Patch100: bochs-CVE-2007-2893.patch
Patch101: bochs-CVE-2007-2894.patch

BuildPreReq: SDL-devel >= 1.2.11-2m
BuildPreReq: libICE-devel, libSM-devel, libX11-devel, libXpm-devel
BuildPreReq: wxGTK-devel >= 2.6.2
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: docbook-utils, docbook-dtds >= 1.0-11m

%description
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation. 

%prep
%setup -q
%patch0 -p1 -b .conf
%patch2 -p1 -b .gtkflags

# security fix
%patch100 -p1 -b .CVE-2007-2893
%patch101 -p1 -b .CVE-2007-2894

%build

cp %{SOURCE1} .
libtoolize -c -f
aclocal
autoconf
%configure \
	--with-x11 \
	--enable-new-pit \
	--enable-plugins \
	--enable-smp \
	--enable-cpu-level=6 \
	--enable-apic \
	--enable-ne2000 \
	--enable-pci \
	--enable-usb \
	--enable-repeat-speedups \
	--enable-icache \
%ifarch %{ix86}
	--enable-fast-function-calls \
%endif
	--enable-all-optimizations \
	--enable-readline \
	--enable-vbe \
	--enable-fpu \
	--enable-mmx \
	--enable-3dnow \
	--enable-sse=2 \
	--enable-daz \
	--enable-sep \
	--enable-cdrom \
	--enable-sb16=linux \
	--enable-gameport \
	--enable-docbook \
	--with-all-libs

%make
make unpack_dlx

%install
rm -rf %{buildroot}
for i in %{_bindir} %{_mandir}/man1 %{_mandir}/man5 ; do 
  if ! test -d %{buildroot}/$i; then %{__mkdir_p} %{buildroot}/$i; fi
done
make install install_dlx DESTDIR=%{buildroot}
## for sample configuration
%{__install} -d -m 755 %{buildroot}%{_datadir}/config-sample/bochs/
%{__install} -m 644 .bochsrc %{buildroot}%{_datadir}/config-sample/bochs/dot.bochsrc

# remove
rm -rf %{buildroot}%{_docdir}/bochs

find %{buildroot} -name "*.la" -delete

%preun
# clean up the bochsout.txt that is always produced if you 
# run bochs-dlx.
%{__rm} -f %{_datadir}/bochs/dlxlinux/bochsout.txt


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/bochs
%{_bindir}/bochs-dlx
%{_bindir}/bximage
%{_bindir}/bxcommit
%{_datadir}/bochs
%{_libdir}/bochs
%{_mandir}/man?/*
%{_datadir}/config-sample/bochs
%doc CHANGES COPYING README* TESTFORM.txt
%doc doc/docbook/[a-z]*
%doc docs-html

%changelog
* Mon Aug 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3-3m)
- [SECURITY] CVE-2007-2894
- import security patch from Fedora devel

* Fri Aug 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3-2m)
- [SECURITY] CVE-2007-2893
- import security patch from FC-devel

* Tue May 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.3-1m)
- update to 2.3

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.6-2m)
- delete libtool library, again

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.6-2m)
- delete libtool library

* Sat Mar 25 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.6-1m)
- update to 2.2.6
- build with wxGTK-2.6
- update bochs-config-sample.diff (Patch0)
- update gcc41 patch (bochs-2.2.1-gcc41.patch > bochs-2.2.6-gcc41.patch)
- add bochs-2.2.6-gtkflags.patch (Patch2): build fix

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-1m)
- update 2.2.1
- change SOURCE URL
- add gcc-4.1 patch
- Patch3: bochs-2.2.1-gcc41.patch

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.1-5m)
- rebuild against SDL-1.2.7-9m

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.1.1-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add patch2

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.1-3m)
- rebuild against DirectFB-0.9.21

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.1-2m)
- revised spec for enabling rpm 4.2.

* Thu Feb 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.1-1m)

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1-1m)
- New disassembler                       
- 3DNow!/SSE/SSE2/PNI instruction support                
- Vmware3/Sparse/Undoable/Growing harddisk images support               
- many VGA emulation improvements (e.g. high/true color VBE modes added)
- No more X11 vga font required

* Sat Jul 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.2-4m)
- add bochs-2.0.2-gcc33.patch

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.2-3m)
  rebuild against DirectFB 0.9.18

* Tue Feb 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-2m)
- add BuildPreReq: docbook-dtds >= 1.0-11m for /etc/sgml/sgml-docbook-4.1.cat, etc.

* Tue Feb  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-1m)

* Sat Jan 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-1m)

* Fri Dec 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0-1m)

* Tue Nov 26 2002 zunda <zunda@freeshell.org>
- kossori
- BuildPreReq: XFree86-devel

* Sun Jul 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4.1-1m)
- first release for momonga
